SMSMMSResultParser (ZXing 3.5.2 API)
Description: declaration: package: com.google.zxing.client.result, class: SMSMMSResultParser

Package com.google.zxing.client.result

# Class SMSMMSResultParser

java.lang.Object
com.google.zxing.client.result.ResultParser
com.google.zxing.client.result.SMSMMSResultParser

public final class SMSMMSResultParser extends ResultParser

Parses an "sms:" URI result, which specifies a number to SMS. See RFC 5724 on this.

This class supports "via" syntax for numbers, which is not part of the spec. For example "+12125551212;via=+12124440101" may appear as a number. It also supports a "subject" query parameter, which is not mentioned in the spec. These are included since they were mentioned in earlier IETF drafts and might be used.

This actually also parses URIs starting with "mms:" and treats them all the same way, and effectively converts them to an "sms:" URI for purposes of forwarding to the platform.

Author:
  Sean Owen

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SMSMMSResultParser()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SMSParsedResult`
  `parse(Result result)`
  Attempts to parse the raw `Result`'s contents as a particular type of information (email, URL, etc.) and return a `ParsedResult` encapsulating the result of parsing.

  ### Methods inherited from class com.google.zxing.client.result.ResultParser

  `getMassagedText, isStringOfDigits, isSubstringOfDigits, maybeAppend, maybeAppend, maybeWrap, parseHexDigit, parseResult, unescapeBackslash`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SMSMMSResultParser

    public SMSMMSResultParser()

- ## Method Details

  - ### parse

    public SMSParsedResult parse(Result result)
    Description copied from class: `ResultParser`
    Attempts to parse the raw `Result`'s contents as a particular type of information (email, URL, etc.) and return a `ParsedResult` encapsulating the result of parsing.
    Specified by:
      `parse` in class `ResultParser`
    Parameters:
      `result` - the raw `Result` to parse
    Returns:
      `ParsedResult` encapsulating the parsing result